Skip to main content
`Ctrl`+`K`

# PEPGetNumMatrices

Returns the number of matrices stored in the `PEP`.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetNumMatrices(PEP pep,PetscInt *nmat)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- nmat - the number of matrices passed in `PEPSetOperators()`

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetOperators()`

## Level

intermediate

## Location

src/pep/interface/pepsetup.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages